Package org.eclipse.lyo.core.query
Class QueryUtils
java.lang.Object
org.eclipse.lyo.core.query.QueryUtils
Utility methods for parsing various OSLC HTTP query
parameter clauses; e.g.
oslc.where-
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final PropertiesA property list that selects all properties -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioninvertSelectedProperties(Properties properties) Create a map representation of thePropertiesreturned from parsingoslc.propertiesoroslc.selectURL query parameters suitable for generating a property result from an HTTP GET request.static OrderByClauseparseOrderBy(String orderByExpression, Map<String, String> prefixMap) Parse a oslc.orderBy expressionparsePrefixes(String prefixExpression) Parse a oslc.prefix clause into a map between prefixes and corresponding URIsstatic PropertiesClauseparseProperties(String propertiesExpression, Map<String, String> prefixMap) Parse a oslc.properties expressionstatic SearchTermsClauseparseSearchTerms(String searchTermsExpression) Parse anoslc.searchTermsexpressionstatic SelectClauseparseSelect(String selectExpression, Map<String, String> prefixMap) Parse a oslc.select expressionstatic WhereClauseparseWhere(String whereExpression, Map<String, String> prefixMap) Parse a oslc.where expression
-
Field Details
-
WILDCARD_PROPERTY_LIST
A property list that selects all properties
-
-
Constructor Details
-
QueryUtils
public QueryUtils()
-
-
Method Details
-
parsePrefixes
Parse a oslc.prefix clause into a map between prefixes and corresponding URIsNote:
Object.toString()of result has been overridden to return input expression.- Parameters:
prefixExpression- the oslc.prefix expression- Returns:
- the prefix map
- Throws:
ParseException
-
parseWhere
public static WhereClause parseWhere(String whereExpression, Map<String, String> prefixMap) throws ParseExceptionParse a oslc.where expression- Parameters:
whereExpression- contents of an oslc.where HTTP query parameterprefixMap- map between XML namespace prefixes and associated URLs- Returns:
- the parsed where clause
- Throws:
ParseException
-
parseSelect
public static SelectClause parseSelect(String selectExpression, Map<String, String> prefixMap) throws ParseExceptionParse a oslc.select expression- Parameters:
selectExpression- contents of an oslc.select HTTP query parameterprefixMap- map between XML namespace prefixes and associated URLs- Returns:
- the parsed select clause
- Throws:
ParseException
-
parseProperties
public static PropertiesClause parseProperties(String propertiesExpression, Map<String, String> prefixMap) throws ParseExceptionParse a oslc.properties expression- Parameters:
propertiesExpression- contents of an oslc.properties HTTP query parameterprefixMap- map between XML namespace prefixes and associated URLs- Returns:
- the parsed properties clause
- Throws:
ParseException
-
parseOrderBy
public static OrderByClause parseOrderBy(String orderByExpression, Map<String, String> prefixMap) throws ParseExceptionParse a oslc.orderBy expression- Parameters:
orderByExpression- contents of an oslc.orderBy HTTP query parameterprefixMap- map between XML namespace prefixes and associated URLs- Returns:
- the parsed order by clause
- Throws:
ParseException
-
invertSelectedProperties
Create a map representation of thePropertiesreturned from parsingoslc.propertiesoroslc.selectURL query parameters suitable for generating a property result from an HTTP GET request.The map keys are the property names; i.e. the local name of the property concatenated to the XML namespace of the property. The values of the map are:
- Wildcard, if all properties at this level are to be output. No recursion below this level is to be done.
-
OSLC4JConstants.OSL4J_PROPERTY_SINGLETON- if only the named property is to be output, without recursion - a nested property list to recurse through
- Parameters:
properties-- Returns:
- the property map
-
parseSearchTerms
public static SearchTermsClause parseSearchTerms(String searchTermsExpression) throws ParseException Parse anoslc.searchTermsexpressionNote:
Object.toString()of result has been overridden to return input expression.- Parameters:
searchTermsExpression- contents of anoslc.searchTermsHTTP query parameter- Returns:
- the parsed search terms clause
- Throws:
ParseException
-